# -*- coding: iso_8859_1 -*-

from aspylib import astro
import numpy as np

#------------------------------------------------------------------------------------
#	Purpose
#------------------------------------------------------------------------------------
#
#	Converts a MPC ephemeris stored in a text file with the following form (copy-paste of Minor Planet Ephemeris Service results):
#	2012 03 31 000000 01 44 49.4 +04 22 01   3.813   2.869   16.5   5.7   9.0    0.99    065.4         0 024.2 / Map / Offsets
#	2012 04 01 000000 01 46 16.2 +04 31 54   3.816   2.869   15.9   5.5   9.0    0.99    065.5         0 024.4 / Map / Offsets
#	2012 04 02 000000 01 47 43.1 +04 41 44   3.820   2.868   15.4   5.3   9.0    0.99    065.6         0 022.9 / Map / Offsets
#	2012 04 03 000000 01 49 10.3 +04 51 33   3.822   2.867   14.8   5.1   9.0    0.99    065.7         0 023.2 / Map / Offsets
#	2012 04 04 000000 01 50 37.6 +05 01 20   3.825   2.867   14.3   4.9   9.0    0.99    065.8         0 023.0 / Map / Offsets
#	2012 04 05 000000 01 52 05.0 +05 11 05   3.828   2.866   13.8   4.8   9.0    0.99    065.9         0 022.2 / Map / Offsets
#	2012 04 06 000000 01 53 32.6 +05 20 49   3.830   2.865   13.2   4.6   9.0    1.00    066.0         0 021.7 / Map / Offsets
#	into a file with the right format for asteroid lightcurve fit (input parameter "file_DistanceToEarth" of scripts Lightcurve_fitperiod.py and Lightcurve_searchperiod.py)
#
#------------------------------------------------------------------------------------
#	Input parameters
#------------------------------------------------------------------------------------

Folder = u"C:\\Mesures\\"
File = Folder + "dist.txt"

#------------------------------------------------------------------------------------
#	Script
#------------------------------------------------------------------------------------

def load_data(filename, nb_col=1):

	#open file and reads data
	f=open(filename, 'r')
	try:
		data = []
		i=0
		for line in f:
			datalist = line.split()
			x = []
			for j in range(nb_col):
				x.append(float(datalist[j]))
			data.append(x)
			i+=1
	finally:
		f.close()
	return np.array(data)

mpc = load_data(File, nb_col=19)

date = []
for i in range(len(mpc)):
	date.append(float(str(int(mpc[i,0]))+str("%02d"%int(mpc[i,1]))+str("%02d"%int(mpc[i,2]))))

JJdate = astro.dates_to_juliandays(date)

f = open(File, 'w')
for i in range(len(mpc)):
	f.write("%.6f"%JJdate[i] + "\t" + str(mpc[i,10]) + "\n")
