# -*- coding: iso_8859_1 -*-

from aspylib import cdr, astro
import numpy as np
import matplotlib.pyplot as plt

#------------------------------------------------------------------------------------
#	Purpose
#------------------------------------------------------------------------------------
#
#	Reads a list of lightcurve files (with CourbRot format) and makes plots showing the measurements.
#	The options of the function cdr.plot_magdata() allow to control the title of the plots, the vertical scales and the color of the plotted curves.
#
#------------------------------------------------------------------------------------
#	Input parameters
#------------------------------------------------------------------------------------

#--- input files ---
Folder = u"C:\\Mesures\\"
Filelist = ["File_1.txt", \
			"File_2.txt", \
			"File_3.txt", \
			"File_4.txt"]
Filelist = [Folder + ff for ff in Filelist]


#------------------------------------------------------------------------------------
#	Script
#------------------------------------------------------------------------------------

alldata = cdr.load_magdata(Filelist, zero_mean=False)

cdr.plot_magdata(alldata[:1], 'Title 1', dmag=0.4, dcolor=0)
cdr.plot_magdata(alldata[1:2], 'Title 2', dmag=0.4, dcolor=0)
