# -*- coding: iso_8859_1 -*-
"""
	module where aspylib settings are defined.
"""

from aspylib import license
import numpy as np
import platform as pf

#------------------------------------------------------------------------------------------
#	constants
#------------------------------------------------------------------------------------------

saturation = 32767.		#is updated when an image is loaded

def update_saturation(newsat):
	#--- updating constants --
	global saturation
	saturation = newsat

sep = '\\'
if pf.system()=='Linux':
	sep = "/"

cmd = "C:\\WINDOWS\\system32\\cmd.exe"
if pf.system()=='Linux':
	cmd = ""

#color for plotting
col = ['b', 'g', 'r', 'c', 'm', 'y', 'k', '#00FF26', '#FEAE02', '0.66', '0.33', '#006FFF', '#FE80F5', '#BE0D00', '#F3EB00', '#FF2E89']
ind = [0,11,3,7,1,5,14,8,2,15,12,4,13,6,10,9]
col2 = [col[i] for i in ind]
del ind

#------------------------------------------------------------------------------------------
#	default headers
#------------------------------------------------------------------------------------------

def set_headers(Config):
	"""
	Purpose
	This function defines how to create headers for new images, from the headers of existing images.
	"""
	
	hd_add = {}
	hd_del = {}
	take_imageheaders = False
	
	if Config == 0: 	#takes all the headers from the images without any modification
		take_imageheaders = True
		
	if Config == 1: 	#takes the following headers from the images
		take_imageheaders = False
		hd_add = {'BINX':[],'BINY':[],'BIN1':[],'BIN2':[],'DATE-OBS':[],'DATE-END':[],'EXPTIME':[],'EXPOSURE':[],'GPS-DATE':[],'OBJECT':[]}

	if Config == 2: 	#Audine KAF0400 + Visac with focal reducer
		take_imageheaders = False
		hd_add = {'BINX':[],'BINY':[],'BIN1':[],'BIN2':[],'DATE-OBS':[],'DATE-END':[],'EXPTIME':[],'EXPOSURE':[],'GPS-DATE':[],'OBJECT':[]}
	
		hd_add.update({'OBSERVER':	['Jerome CARON','Observer name']})
		hd_add.update({'ORIGIN':		['Uiterstegracht, Leiden, Netherlands','Origin place of FITS file']})
		hd_add.update({'SITELAT':		['52:09:26.6 North','Latitude where data acquisition was made']})
		hd_add.update({'SITELONG':	['04:29:51.9 East','Longitude where data acquisition was made']})

		hd_add.update({'CAMERA':		['Audine Kaf0402-ME','Data acquisition camera']})

		hd_add.update({'TELESCOP':	['Vixen VISAC VC200L + focal reducer','Data acquisition telescope']})
		hd_add.update({'DIAMETER':	[200.,'Telescope aperture diameter (mm)']})
		hd_add.update({'FOCAL':		[1280.,'Telescope focal length (mm)']})

	if Config == 3:
		take_imageheaders = True
		hd_del = {'DATAMIN':[],'DATAMAX':[]}

	return take_imageheaders, hd_add, hd_del
