# -*- coding: iso_8859_1 -*-

from aspylib import astro
import numpy as np
import os

def write_cdrcdl_report(outputname, Imagelist, names, obj_index, mag, ref_1, mag_1, sig_1, dateobs, rejdata = [], format = 'DVR'):

	nb_obj = len([i for i in names if (i[0]=='m')or(i[0]=='v')])  
	
	filename = outputname.split('.')[0] + '_' + names[obj_index] + '.' + outputname.split('.')[1]

	#---------- writing results to output file -------------	
	if os.path.exists(filename):
		os.remove(filename)

	f = open(filename, 'w')

	if format=='DVR':
		#--- header FMT ---
		f.write('FMT DV')
		for i in range(len(ref_1[0][1])):	#loop on reference stars
			f.write('R')
		f.write('\n')

		#--- other mandatory headers ---
		f.write('NOM\nMES\n')

		#--- header POS ---
		h1 = astro.get_headervalues([Imagelist[0]],'EXPOSURE')[0]
		h2 = astro.get_headervalues([Imagelist[0]],'EXPTIME')[0]
		if h1!='':
			f.write('POS -1 ')
			f.write(str(int(np.round(h1))))
			f.write('\n')
		elif h2!='':
			f.write('POS -1 ')
			f.write(str(int(np.round(h2))))
			f.write('\n')
		
		#--- measures magnitudes ---
		for j in range(len(Imagelist)):
			if j not in rejdata:
				f.write(('%.6f' % dateobs[j]))
				f.write('\t'+('%.6f' % mag[j][obj_index][ref_1[0][0]]))		#index 0 for first (=best) result
				for i in range(len(ref_1[0][1])):	#loop on reference stars
					f.write('\t'+('%.6f' % mag[j][nb_obj+ref_1[0][1][i]-1][ref_1[0][0]]))		#index 0 for first (=best) result
				f.write("\n")

	elif format=='DVv':
		#--- header FMT ---
		f.write('FMT DVv\n')

		#--- other mandatory headers ---
		f.write('NOM\nMES\n')

		#--- header POS ---
		h1 = astro.get_headervalues([Imagelist[0]],'EXPOSURE')[0]
		h2 = astro.get_headervalues([Imagelist[0]],'EXPTIME')[0]
		if h1!='':
			f.write('POS -1 ')
			f.write(str(int(np.round(h1))))
			f.write('\n')
		elif h2!='':
			f.write('POS -1 ')
			f.write(str(int(np.round(h2))))
			f.write('\n')
		
		#--- measures magnitudes ---			
		dateobs_rej = [dateobs[j] for j in range(len(Imagelist)) if j not in rejdata]
		for j in range(len(Imagelist)-len(rejdata)):
			f.write(('%.6f' % dateobs_rej[j]))
			f.write('\t'+('%.6f' % mag_1[0][j]))
			f.write('\t'+('%.6f' % sig_1[0]) + '\n')

	f.close()
	#-------------------------------------

	