# -*- coding: iso_8859_1 -*-

import numpy as np
from aspylib import astro

def load_shifts(filename):

	folder = astro.load_data(filename, "Working directory", "\n")[0][0]
	data = astro.load_data(filename, "Image\tImage status", "\n", colstart=1)
	
	imagelist = [folder+"\\"+im for im in list(data[data[:,0]=="ok",1])]
	shifts = np.array(data[data[:,0]=="ok", 2:], dtype=np.float)
	
	return imagelist, shifts

def load_imagestats(filename):

	folder = astro.load_data(filename, "Working directory", "\n")[0][0]
	data = astro.load_data(filename, "Image\tImage status", "\n", colstart=1)

	imagelist = [folder+"\\"+im for im in list(data[data[:,0]=="ok",1])]
	stats = np.array(data[data[:,0]=="ok", 2:], dtype=np.float)
	
	if len(stats[0,:])==7:
		globminmax = np.array([])
		minmax = stats[:,:2]
		bgnd = stats[:,3:7]
		varbgnd = np.array([])
	elif len(stats[0,:])==14:
		globminmax = stats[:,:2]
		minmax = stats[:,2:4]
		bgnd = stats[:,4:9]
		varbgnd = stats[:,9:14]
		varbgnd -= np.mean(varbgnd,axis=0)
	
	return imagelist, globminmax, minmax, bgnd, varbgnd
